Subject: Re: [PATCH] Add git-count-packs, like git-count-objects.

From: Jakub Narebski <[email-masked]>
Date: Sat, 28 Oct 2006 16:28:29 +0200

Shawn Pearce wrote:

> Junio C Hamano <[email-masked]> wrote:
>> Shawn Pearce <[email-masked]> writes:
>> 
>> > Now that we are starting to save packs rather than unpacking into
>> > loose objects its nice to have a way to list the number of current
>> > packs and their total size.  This can help the user in deciding
>> > when its time to run `git repack -a -d`.
>> 
>> Why not just do "ls -lh $GIT_OBJECT_DIR/pack/pack-*.pack"???
> 
> Because whatever we decide to use to make a pack 'active' may not
> be that simple.
> 
> Whatever.  It was clearly a very tiny patch put together quickly
> before dinner tonight, perhaps not worth including at this point.
> Lets see what comes out of the other pack oriented discussion first.

Perhaps to nod add yet another command to already large set, rename
git-count-objects to git-count end enhance it to count both loose objects
and packs (or not, and use git-count-objects name).

BTW what does "garbage:" in git-count-objects -v mean? And in what units
git-count-objects -v returns "size:" (git-count-objects says "kilobytes",
why git-count-objects -v doesn't do the same)?
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git